Page MenuHomePhabricator

bnwikisource index table should show the page number in Bengali
Closed, ResolvedPublic

Description

Author: bellayet

Description:
In Bengali (bn) Wikisource, the index table should show the page number in Bengali instead of English. Please see an index page, http://bit.ly/I6pLGa

Also the page name should use Bengali numbers after the "/" instead of English. Please see a page, http://bit.ly/HT0xui

Please take necessary steps to resolve these.


Version: unspecified
Severity: normal

Details

Reference
bz36070

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:22 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz36070.
bzimport created this task.Apr 18 2012, 6:04 PM

enomil wrote:

How about to add this to the AtoB parameter like <pageslist 1to20=bengali /> and add support for other number systems (devangari, telugu, thai, ...). This not solve the problem with the used page numbers atfer the "/", but I guess it is much more easier to implement.

(In reply to comment #1)

How about to add this to the AtoB parameter like <pageslist 1to20=bengali />
and add support for other number systems (devangari, telugu, thai, ...). This
not solve the problem with the used page numbers atfer the "/", but I guess it
is much more easier to implement.

Actually its really easy to fix. Extension should be calling $wgContLang->formatNum( number_here ); before outputting any number. (or wfMessage( 'msg-name' )->numParams( 1233 ); if you like the new message class)

enomil wrote:

(In reply to comment #2)

Actually its really easy to fix. Extension should be calling
$wgContLang->formatNum( number_here ); before outputting any number. (or
wfMessage( 'msg-name' )->numParams( 1233 ); if you like the new message class)

It is easy to fix for the output, but I guess not so easily for the "input": http://bn.wikisource.org/wiki/পাতা:হরিলক্ষী.djvu/১ have the do the same stuff (loading image, generating links to previous and next page, image link, ...) as http://bn.wikisource.org/wiki/পাতা:হরিলক্ষী.djvu/1 does.

beau wrote:

I have submitted a change https://gerrit.wikimedia.org/r/#q,I56936d35067f903bb1ef12af0e5e68e550941aea,n,z for review. The change only affects the way the page numbers are displayed. Page titles are not changed.

beau wrote:

The change has been merged, so part of this bug report is now fixed.

bellayet wrote:

(In reply to comment #5)

The change has been merged, so part of this bug report is now fixed.

Thank you for Bangla page number. Waiting for the tittle as well, because it is also very important for bnwikisource.

Tpt added a comment.Sep 1 2012, 1:30 PM

I have submitted a Change I72e5f079 that localized page titles. More info on the change description.

Tpt added a comment.Sep 10 2012, 7:13 PM

Patch merged.

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:14 AM